Summary: Tool to scan for available wireless networks and create profiles for preferred.
Name: wifi-radar
Version: 1.9.3
Release: 4mdk
License: GPL
Group: Communications
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-%{release}.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.bitbuilder.com/wifi_radar
BuildArchitectures:	noarch
Requires:	pygtk2.0 wpa_supplicant > 0.3.8-5

%description
WiFi Radar is a Python/PyGTK2 utility for managing WiFi profiles.
It enables you to scan for available networks and create profiles
for your preferred networks.

%prep
%setup -q
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 wifi-radar $RPM_BUILD_ROOT/usr/sbin/%{name}
install -m 644 16xwifi-radar.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 32xwifi-radar.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 48xwifi-radar.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/%{name}
install -m 600 wifi-radar.conf $RPM_BUILD_ROOT/etc/%{name}/%{name}.conf
mkdir -p $RPM_BUILD_ROOT/etc/pam.d

cat <<EOF >> $RPM_BUILD_ROOT/etc/pam.d/%{name}
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       required	pam_console.so
#auth       required	pam_stack.so service=system-auth
account    required	pam_permit.so
EOF

mkdir -p $RPM_BUILD_ROOT/usr/bin
(cd $RPM_BUILD_ROOT/usr/bin; ln -s consolehelper %{name}) 
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps

cat <<EOF > $RPM_BUILD_ROOT/etc/security/console.apps/%{name}
#USER=root
PROGRAM=/usr/sbin/%{name}
GUI=true
#FALLBACK=false
EOF

#mkdir -p $RPM_BUILD_ROOT/usr/share/applications
#install -m 644 %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop
mkdir -p %{buildroot}%{_menudir}
cat <<EOF  > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
	command="%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	title="WIFI radar" \
	longtitle="Simple wireless network manager" \
	section="System/Configuration/Hardware"
EOF
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m 644 %{name}.1 $RPM_BUILD_ROOT%_mandir/man1/
mkdir -p $RPM_BUILD_ROOT%_mandir/man5
install -m 644 %{name}.conf.5 $RPM_BUILD_ROOT%_mandir/man5/

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
/usr/bin/%{name}
/usr/sbin/%{name}
%doc AUTHORS COPYING INSTALL README TODO WHISHLIST
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%config(noreplace) /etc/%{name}/%{name}.conf
%config(noreplace) /etc/security/console.apps/*
%config(noreplace) /etc/pam.d/*
%{_mandir}/man*/*

%changelog
* Thu Apr 14 2005 Nicolas Brouard <nicolas.brouard@mandrake.org> 1.9.3-4mdk
- kill wpa_supplicant and dhclient whatever network is disconnected or
  connecting

* Tue Apr 12 2005 Nicolas Brouard <nicolas.brouard@mandrake.org> 1.9.3-3mdk
- Added some wpa_supplicant compatibility.
- Manual pages added.

* Sun Apr 04 2005 Nicolas Brouard <nicolas.brouard@mandrake.org> 1.9.3-2mdk
- Kill dhclient after disconnecting.
- Still more code needed concerning disconnection on various ether cards.

* Tue Mar 29 2005 Nicolas Brouard <nicolas.brouard@mandrake.org> 1.9.3-1mdk
- 1.9.3 . All of the 1.9.2 has been accepted, just some configuration changes.
- wifi-radar.png converted from png to jpg and back to png, otherwise it was black
  or blank.
* Sun Mar 27 2005 Nicolas Brouard <nicolas.brouard@mandrake.org> 1.9.2-1mdk
- Code from CVS SF Redhat imported and merged with 1.9.1 from SVN
 
* Fri Mar 20 2005 Nicolas Brouard <nicolas.brouard@mandrake.org> 1.9-1mdk
- First Mandrake rpm with spec from Redhat
- Changed sudo approach to pam approach 
- Sources from SVN tree http://svn.builder.com (version 1.9 sent by Ahmad) 

* Wed Mar 09 2005 Richard Monk <rmonk@redhat.com>
- Added status monitor
- Added better user feedback
- Added 5 second association timeout and 30 second DHCP timeout
- Better disconnect and always disconnect when switching networks

* Wed Feb 16 2005 Kevin Otte <kotte@redhat.com>
- Removed all references to os.spawnvp and replaced with os.spawnlp
  This should keep things clean and help with the 'space in ESSID' problem.

* Fri Feb 11 2005 Kevin Otte <kotte@redhat.com>
- Fixed bug in sudo wrapper where parameters were not being passed to binary

* Tue Feb 02 2005 Kevin Otte <kotte@redhat.com>
- Fixed bug where single quote character was being passed into SSID parameter
- Added sudo wrapper so users can invoke script directly
- Bring interface up before scanning to fix scanning on Cisco cards
- Set speakup to False
- Fixed bug where STDERR was being spammed after Please Wait dialog is destroyed.

* Fri Jan 28 2005 Kevin Otte <kotte@redhat.com>
- Made all commands use the search path
- Added a "Please wait" dialog
- Made the program able to be imported as a module (for future use)

* Wed Jan 26 2005 Kevin Otte <kotte@redhat.com>
- Initial packaging

